Hi, i recently bought a Wii and on most sites it said versions LEH-1357 and higher were NOT compatible.

And i'm here sitting on LEH-1503, Europe.

Tried searching the forums for any info but I couldnt find any so i'm guessing i must be missing some valuable information.

Any modchips that support my version?

Thanks,